#
# spec file for package xfontsel
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfontsel
Version:        1.0.5
Release:        9.1
Summary:        Utility to display X11 font names
License:	 X11
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xfontsel application provides a simple way to display the X11 core
protocol fonts known to your X server, examine samples of each, and
retrieve the X Logical Font Description ("XLFD") full name for a font.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xfontsel
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XFontSel
%{_mandir}/man1/xfontsel.1%{?ext_man}

%changelog
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sun Jun 23 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Use C99 struct initializer for parseRec in GetFontNames().
  + When font fails to load, grey out text instead of unmapping
    text widget.
  + Prevent memory leak in GetFontNames if no fonts are matched.
  + Combine usage message strings.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.4:
  + Build system fixes.
* Fri Apr 13 2012 mgorse@opensuse.org
- Split xfontsel from xorg-x11. Initial version: 1.0.3.
